LogKitLogger (Apache Commons Logging 1.4.0 API)
Description: declaration: package: org.apache.commons.logging.impl, class: LogKitLogger

Package org.apache.commons.logging.impl

# Class LogKitLogger

java.lang.Object
org.apache.commons.logging.impl.LogKitLogger

All Implemented Interfaces:
  `Serializable`, `Log`

@Deprecated public class LogKitLogger extends Object implements Log, Serializable
Deprecated.
Scheduled for removal because the Apache Avalon Project has been discontinued.
Implements `org.apache.commons.logging.Log` to wrap the Apache Avalon Logkit logging system. Configuration of `LogKit` is left to the user.

`LogKit` accepts only `String` messages. Therefore, this implementation converts object messages into strings by called their `toString()` method before logging them.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.log.Logger`
  `logger`
  Deprecated.
  Logging goes to this `LogKit` logger
  `protected String`
  `name`
  Deprecated.
  Name of this logger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogKitLogger(String name)`
  Deprecated.
  Constructs `LogKitLogger` which wraps the `LogKit` logger with given name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `debug(Object message)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.DEBUG`.
  `void`
  `debug(Object message, Throwable t)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.DEBUG`.
  `void`
  `error(Object message)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.ERROR`.
  `void`
  `error(Object message, Throwable t)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.ERROR`.
  `void`
  `fatal(Object message)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.FATAL_ERROR`.
  `void`
  `fatal(Object message, Throwable t)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.FATAL_ERROR`.
  `org.apache.log.Logger`
  `getLogger()`
  Deprecated.
  Gets the underlying Logger we are using.
  `void`
  `info(Object message)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.INFO`.
  `void`
  `info(Object message, Throwable t)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.INFO`.
  `boolean`
  `isDebugEnabled()`
  Deprecated.
  Checks whether the `LogKit` logger will log messages of priority `DEBUG`.
  `boolean`
  `isErrorEnabled()`
  Deprecated.
  Checks whether the `LogKit` logger will log messages of priority `ERROR`.
  `boolean`
  `isFatalEnabled()`
  Deprecated.
  Checks whether the `LogKit` logger will log messages of priority `FATAL_ERROR`.
  `boolean`
  `isInfoEnabled()`
  Deprecated.
  Checks whether the `LogKit` logger will log messages of priority `INFO`.
  `boolean`
  `isTraceEnabled()`
  Deprecated.
  Checks whether the `LogKit` logger will log messages of priority `DEBUG`.
  `boolean`
  `isWarnEnabled()`
  Deprecated.
  Checks whether the `LogKit` logger will log messages of priority `WARN`.
  `void`
  `trace(Object message)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.DEBUG`.
  `void`
  `trace(Object message, Throwable t)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.DEBUG`.
  `void`
  `warn(Object message)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.WARN`.
  `void`
  `warn(Object message, Throwable t)`
  Deprecated.
  Logs a message with `org.apache.log.Priority.WARN`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logger

    protected transient volatile org.apache.log.Logger logger
    Deprecated.
    Logging goes to this `LogKit` logger

  - ### name

    protected String name
    Deprecated.
    Name of this logger

- ## Constructor Details

  - ### LogKitLogger

    public LogKitLogger(String name)
    Deprecated.
    Constructs `LogKitLogger` which wraps the `LogKit` logger with given name.
    Parameters:
      `name` - log name

- ## Method Details

  - ### debug

    public void debug(Object message)
    Deprecated.
    Logs a message with `org.apache.log.Priority.DEBUG`.
    Specified by:
      `debug` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.debug(Object)`

  - ### debug

    public void debug(Object message, Throwable t)
    Deprecated.
    Logs a message with `org.apache.log.Priority.DEBUG`.
    Specified by:
      `debug` in interface `Log`
    Parameters:
      `message` - to log
      `t` - log this cause
    See Also:
      - `Log.debug(Object, Throwable)`

  - ### error

    public void error(Object message)
    Deprecated.
    Logs a message with `org.apache.log.Priority.ERROR`.
    Specified by:
      `error` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.error(Object)`

  - ### error

    public void error(Object message, Throwable t)
    Deprecated.
    Logs a message with `org.apache.log.Priority.ERROR`.
    Specified by:
      `error` in interface `Log`
    Parameters:
      `message` - to log
      `t` - log this cause
    See Also:
      - `Log.error(Object, Throwable)`

  - ### fatal

    public void fatal(Object message)
    Deprecated.
    Logs a message with `org.apache.log.Priority.FATAL_ERROR`.
    Specified by:
      `fatal` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.fatal(Object)`

  - ### fatal

    public void fatal(Object message, Throwable t)
    Deprecated.
    Logs a message with `org.apache.log.Priority.FATAL_ERROR`.
    Specified by:
      `fatal` in interface `Log`
    Parameters:
      `message` - to log
      `t` - log this cause
    See Also:
      - `Log.fatal(Object, Throwable)`

  - ### getLogger

    public org.apache.log.Logger getLogger()
    Deprecated.
    Gets the underlying Logger we are using.
    Returns:
      the underlying Logger we are using.

  - ### info

    public void info(Object message)
    Deprecated.
    Logs a message with `org.apache.log.Priority.INFO`.
    Specified by:
      `info` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.info(Object)`

  - ### info

    public void info(Object message, Throwable t)
    Deprecated.
    Logs a message with `org.apache.log.Priority.INFO`.
    Specified by:
      `info` in interface `Log`
    Parameters:
      `message` - to log
      `t` - log this cause
    See Also:
      - `Log.info(Object, Throwable)`

  - ### isDebugEnabled

    public boolean isDebugEnabled()
    Deprecated.
    Checks whether the `LogKit` logger will log messages of priority `DEBUG`.
    Specified by:
      `isDebugEnabled` in interface `Log`
    Returns:
      true if debug is enabled in the underlying logger.

  - ### isErrorEnabled

    public boolean isErrorEnabled()
    Deprecated.
    Checks whether the `LogKit` logger will log messages of priority `ERROR`.
    Specified by:
      `isErrorEnabled` in interface `Log`
    Returns:
      true if error is enabled in the underlying logger.

  - ### isFatalEnabled

    public boolean isFatalEnabled()
    Deprecated.
    Checks whether the `LogKit` logger will log messages of priority `FATAL_ERROR`.
    Specified by:
      `isFatalEnabled` in interface `Log`
    Returns:
      true if fatal is enabled in the underlying logger.

  - ### isInfoEnabled

    public boolean isInfoEnabled()
    Deprecated.
    Checks whether the `LogKit` logger will log messages of priority `INFO`.
    Specified by:
      `isInfoEnabled` in interface `Log`
    Returns:
      true if info is enabled in the underlying logger.

  - ### isTraceEnabled

    public boolean isTraceEnabled()
    Deprecated.
    Checks whether the `LogKit` logger will log messages of priority `DEBUG`.
    Specified by:
      `isTraceEnabled` in interface `Log`
    Returns:
      true if trace is enabled in the underlying logger.

  - ### isWarnEnabled

    public boolean isWarnEnabled()
    Deprecated.
    Checks whether the `LogKit` logger will log messages of priority `WARN`.
    Specified by:
      `isWarnEnabled` in interface `Log`
    Returns:
      true if warn is enabled in the underlying logger.

  - ### trace

    public void trace(Object message)
    Deprecated.
    Logs a message with `org.apache.log.Priority.DEBUG`.
    Specified by:
      `trace` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.trace(Object)`

  - ### trace

    public void trace(Object message, Throwable t)
    Deprecated.
    Logs a message with `org.apache.log.Priority.DEBUG`.
    Specified by:
      `trace` in interface `Log`
    Parameters:
      `message` - to log
      `t` - log this cause
    See Also:
      - `Log.trace(Object, Throwable)`

  - ### warn

    public void warn(Object message)
    Deprecated.
    Logs a message with `org.apache.log.Priority.WARN`.
    Specified by:
      `warn` in interface `Log`
    Parameters:
      `message` - to log
    See Also:
      - `Log.warn(Object)`

  - ### warn

    public void warn(Object message, Throwable t)
    Deprecated.
    Logs a message with `org.apache.log.Priority.WARN`.
    Specified by:
      `warn` in interface `Log`
    Parameters:
      `message` - to log
      `t` - log this cause
    See Also:
      - `Log.warn(Object, Throwable)`